Introduction

European Surveillance System on Contact Allergies - Data Centre

The center of ESSCA-DC is located at the University of Erlangen

CHM Version: 2022.12

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


Data Protection - GDPR

Introduction ››

How are the patient and test data collected, transmitted and utilised in the data centre?

In addition to the data usually collected in the course of patient care (surname, first name, date of birth, sex, place of residence), data on occupation, professional activity, handling of possible causes of allergy (e.g. cosmetics, medicines, paints, adhesives, etc.) as well as previous occurrence of allergic diseases ('atopy') are collected in the anamnesis ('previous history') in the course of this allergy test. These data are electronically stored and processed together with the test result and the final dermatological diagnosis in the allergy department and transmitted in pseudonymised form (omitting surname, first name, postcode, place of residence date of birth and telephone numbers) to the medical research institution together with pseudonymised data of the other patients. The purpose of this central pooling of research data is to identify allergy epidemics and their cause at an early stage, so that the responsible authorities or manufacturers can be warned if necessary.

Cryptoconcept

Both WinAlldat Net and the further processing in the ESSCA-DC are subject to strict internal requirements regarding the encryption technologies and software used. Audited open source software based on the AES algorithm is used as standard. Stronger cryptographic algorithms such as Blowfish, Twofish etc. are also available as an option.

Transparency and suitability

Due to transparency requirements and to demonstrate the appropriateness of the pseudonymised research data (i.e. surveillance data) collected in the ESSCA-DC, documents have been made available for patients and data protection officers under the following links:

Summary

Personal and test-related data are stored electronically on site using WinAlldat Net and transmitted as pseudonymised research data in the form of an encrypted AES archive to the medical research institute. The research institute has a data protection concept - Internet Security Management System consisting, among other things, of an IT guideline, crypto concept, data processing instructions, access control and firewall.

What is pseudonymised data?

Changed data protection requirements as a result of stricter legislation due to the new EU Data Protection Regulation (GDPR), which will come into force from 05/2018, required a correction and addition to the wording previously used in ESSCA-DC with regard to the surveillance data transmitted to the ESSCA-DC headquarter. The term personal data includes direct and indirect allocation of data records to natural persons. The identification of a natural person (i.e. patient) is indirectly possible via the identifiers ipatid and fallid used in WinAlldat Net via the hospital of origin, so that the data processed in ESSCA-DC are to be regarded as pseudonymised - and thus personal - data. The head office processes personal (pseudonymised) data and is consequently subject to national and General Data Protection Regulation (GDPR).

Data economy in the WinAlldat Net programme

The change in WinAlldat Net data export as of 1.11.2017 concerns the data in the data export file tblPatient.txt: as of WinAlldat Net version 2.0 R9, the age is transmitted instead of the date of birth; the patient's postcode (previously the 1st and 2nd character of the postcode) and the patient's entry date are no longer transmitted to ESSCA-DC. Patients or cases cannot be re-identified in the updated data transmission via ipatid and fallid without considerable effort. In addition, the WinAlldat Net documentation (online, Windows help file, etc.) now uses the term pseudonymised. The document Patient information on allergological diagnostics with the epicutaneous test in the version of 28.3.2013 was comprehensively revised in cooperation with the data protection officer of the University Medical Center Göttingen. Among other things, pseudonymised instead of anonymised was used in the AES-encrypted data transmission (i.e. data transfer).


Contact allergy and ESSCA

Introduction ››

European Surveillance System on Contact Allergies (ESSCA)

Objectives

Contact allergy is a frequent condition (with up to 20% of the general population affected), and its clinical manifestation - allergic contact dermatitis (incidence approximately 7 per 1000 per year)- has considerable socioeconomic impact. Recommendations concerning primary prevention must be founded on sound scientific knowledge concerning occurrence of allergen exposures in the population. To provide such data on a European scale, ESSCA-DC, a co-ordinating data centre for the expert network ESSCA, has been conceived.

A first, technical objective is to develop Electronic Data Processing (EDP) infrastructure according to the different needs of participating departments. Once this has been achieved, the ultimate aim of ESSCA-DC can be pursued: the continuous analysis (surveillance) of pooled data for different purposes. These include internal quality control, which is both a prerequisite, and an outcome of this multicentre activity. Furthermore, inter-national comparisons which reflect the effects of a wider than strictly national allergen exposure variation, time-trend analyses, and subgroup analyses will be performed, including the possible occurrence of known allergens in new exposure contexts. These analyses, which will be duly reported not only to the scientific community, but also to (EU) regulatory institutions and - suitably prepared - to industry and to the general public, shall provide a valuable starting point for lowering the incidence of contact allergies. For industry, such analyses can serve the purpose of post marketing surveillance of product safety; thus, a considerable interest in funding ESSCA-DC beyond the initial period of three years is expected and has, indeed, been indicated at the conceptual stage already.

Scientific approach

The ESSCA-DC work plan can be divided into a technical part - an application of medical informatics - and a scientific part. The former includes the following work packages:

  • Implementation of local interfaces for export of uniformly structured data for pooled analysis in those departments which will continue to use their existing - heterogeneous - software.
  • Adaptation of an existing computer program (developed for the German network IVDK ) to ESSCA requirements, including national adaptation (e.g., translation, special test programs).
  • A one-time conversion of old databases of similar scope into the newly developed structure in those departments who already used patch test software, but wanted to, or had to, switch to a system fulfilling current requirements (user-friendliness, flexibilty, speed).
  • Integration of the new software to be (further) developed into a hospital information system environment with very strict conformity requirements, which makes the implementation of additonal database interfaces necessary
  • Set up of a co-ordinating data centre

The scientific work packages include first communal analyses of pooled data (beyond a limited study context, i.e., in terms of the intended continuous surveillance), internal reporting and discussion of data during a first workshop (with two more workshops with a similar purpose scheduled in the 2 nd and the 3 rd year, respectively), publication of these results in peer-reviewed scientific journals, launch of an Internet site with a description of ESSCA-DC and selected results which are of public interest. The final work package is devoted to ensuring adequate funding beyond the period of 3 years contributed by the EU; interested parties have already been identified, namely manufacturers of cosmetics and household goods which often act on an international (European) scale rather than a strictly national market, and are thus interested in post marketing surveillance of product safety adapted to this market.


WinAlldat Net components

Introduction ››

The structure of the WinAlldat Net ESSCA software is closely modelled on the workflow of an allergy department

Synopsis WinAlldat NET Programm - WinAlldatNet.exe (32bit) - WinAlldatNet64.exe (64 bit)

  • Patient data management like address, D.O.B. etc.
  • Examination and case data - ESSCA Anamnesis sheet 1
  • Final diagnosis and findings documentation - ESSCA Anamnesis sheet 2
  • Administration of test series with material or substances patient brought in
  • Administration i.e. editing of clinic-specific test series
  • Recording pf patch test reactions (i.e. readings)
  • Documentation of the clinical relevance of positive reactions
  • Printout and export (PDF, XML, HTML) of test results and findings
  • Flexible anamnesis extension through self-defined additional questions
  • Administration functions such as deleting a case, deactivating test series
  • Data backup - backup and encryption of the entire database
  • Search and filter test substances (e.g. to exclude duplicate test substances)
  • Pseudonymised data transfer as an AES encrypted ZIP archive file to ESSCA-DC
  • Function to create and export test series forms
  • Quality control of anamnesis data - check of date data and other important data items
  • Reporting module to create filtered lists incl. PDF and Excel export (under development)
  • Regular maintenance updates like database & program updates and technical support


Installation and configuration

Introduction ››

WinAlldat Net ESSCA installation and configuration

IT Support and technical support

Christian Meyer, Tel.: +49 179 732 46 37

E-Mail: projekte@christian-meyer-software.de

Ronald Arnold, Tel.: +49 551 201 97 780
E-Mail: rarnold@gwdg.de

WinAlldat Net Setup and Update Programme

With the ESSCA update programme "esscasetupnet.exe" you copy all necessary WinAlldatNet files to your desktop PC and set up menu entries or start icons in the start bar to be able to call up the ESSCA programmes. Must be executed in the context of an admin!

https://essca.winalldatnet.eu/esscasetupnet.exe - Setup, admin rights required, repair installation

https://essca.winalldatnet.eu/esscasetupnet.pdf - Setup instructions as PDF

https://essca.winalldatnet.eu/esscaupdatenet.exe - Maintenance update, no admin rights necessary

In the event of software faults, ESSCA Support offers remote maintenance via Teamviewer. In the meantime, this has proved to be a proven instrument for the quick solution of installation problems, especially in the case of complex network installations (client / server installations).

First WinAlldat Net program start

The previous password file winalldat.pwd is replaced by the new XML version WinAlldat Netpwd.ini. For encryption reasons, no settings are taken from winalldat.pwd. The programme creates the WinAlldat Net Admin account "chef" and the standard user "allergy", each with the password "ivdk". The creation of a new user (only WinAlldat Net Admin Account "chef" ) or the change of the password can be found (as before) under Utilities=>Access Authorisation.

The WinAlldat Net Software Videotutorialhttps:// winalldatnet.ivdk.org/video/WinAlldat Net_options.mp4 explains how to set up headers, keyboard settings, table colours and other options such as settings for data export and data transfer.

Winalldat Net command line parameter 15.12.2022

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


System requirements

Introduction ››

Hardware requirements

  • Windows PC: Clinical Workstation Systems with at least 4 GB RAM
  • Hard disk/HDD or SSD with approx. 5 GB free memory, output laser printer, backup

Software requirements

  • Microsoft® Windows 8.1/10/11
  • Microsoft SQL Server or SQL Server Express is required for operation.

WinAlldat Net support

  • Internet connection for downloading software updates (firewall proxy)
  • Remote support access for maintenance purposes (Citrix, VPN, RDP, Teamviewer etc.)


Contact and support

Introduction ››

Contact and Support

ESSCA-DC - ESSCA Data Centre

Prof. Dr. med. Wolfgang Uter
University of Erlangen
Dept. of Med. Informatics, Biometry & Epidemiology
Head of ESSCA-DC
Waldstraße 6, D-91054 Erlangen

phone: +49 9131 8522750

eMail: wolfgang.uter [AT] fau.de

Internet: ESSCA Data Centre

IT Support and technical support

Ronald Arnold, Tel.: +49 551 201 97 780
E-Mail: rarnold@gwdg.de

Christian Meyer, Tel.: +49 179 732 46 37

E-Mail: projekte@christian-meyer-software.de

WinAlldat Net ESSCA Internet Ressourcen:

Software and Updates: | https://essca.winalldatnet.eu
WinAlldat Net Online help: | https://essca.winalldatnet.eu/help
WinAlldat Net Documentation: | https://essca.winalldatnet.eu/docs
WinAlldat Net Screencasts: | https://essca.winalldatnet.eu/video

Teamviewer Quicksupport remote maintenance and remote training: https://essca.winalldatnet.eu/TeamViewerQS_en.exe

An installation of Teamviewer Quicksupport is not necessary! Download it on the target computer (e.g. directly on the desktop), start the programme and contact the ESSCA support by phone at +49 179 732 46 37 and get in touch. Please arrange a support appointment in advance, preferably between 3 and 5 pm CET.


Program help

WinAlldat Net ESSCA program help contains the following sections:

  • Daily routine : data capturing of patient data, case data, creating test plan, readings/reaction, relevance
  • Administration tools : Test series administration (-editor), settings (i.e. options)
  • Extras : Keyboard- and export settings, flexible printout header, data transmission settings


Main dialogue

Program help ››

Main dialogue

WinAlldat Net overview and first dialogue after the programme start. The functions of each button, field and list in the start dialogue are described in the following help paragraphs. Information and instructions can also be found on the WinAlldat Net website:https://essca.winalldatnet.eu/video.

Please also use the full text search in the "Search" tab control which is located to the right of the "Contents" tab control in the upper menu area.


Daily routine

Program help ››
  • New case
  • Add or edit patient
  • Anamnesis
  • Testseries (material patient brought in and local test series)
  • Other test and comments
  • Reading and reactions
  • Relevance and Assessemen
  • Final diagnosis
  • Printout


New case

Program help ›› Daily routine ››

New case

Creates a new case for the current (i.e. displayed) patient. Please avoid duplicate patients instead use the "New case" button.


Patient

Program help ›› Daily routine ››
  • Patient: edit or add
  • Patient: select


Edit and add

Program help ›› Daily routine ›› Patient ››

Edit and update patient data

  • If patient data has already been entered on the occasion of a previous consultation, but have changed (e.g., address) these can be updated at any time.
  • Search for the patient record by entering the first letters of the family name in the "search patient" data field of the initial window.
  • The following data are essential:
    • (Family) name, first name, birthday and sex.

  • Be very careful while changing these personal data - do so only if you are 100% sure, that the patient you want to enter is really the patient you found in the database and that data in the database have to be corrected.
  • You can either search directly for the patient (family) name, or indirectly, by entering a (sub-) string characteristic for the patient (i.e. (family) name, first name, address) in the "filter" data field and pressing the button "activate filter". In this latter case you will get a subset of all patient records complying with your search criterion in the drop down list of the patient search field.
  • Other data can be omitted or filled in as applicable (e.g. birth name).
  • The "internal patient ID" refers to a hospital number which might exist and which you may want to enter in the WinAlldat Net ESSCA database for later use.
  • "Station" contains information on regarding the referring institution;
  • The entries may be supplemented according to local interest .

Add new patient data

  • This is the first step in entering the data of a person not previously registered in the database.
  • Enter the first few letters of the patient's family name in the "search patient" data field of the initial screen.
  • This searches the database to make sure the patient is not already contained in the database before his or her data is entered via "new patient".

  • The following items are essential:
    • (Family) name, first name, birth date and sex.

  • Other data can be omitted or filled in as applicable (e.g. birth name).
  • The "internal patient ID" refers to a hospital number which might exist, and which you may want to enter in the WinAlldat Net ESSCA database for later use.
  • "Station" contains information regarding the referring institution;
  • The entries may be supplemented in the underlying database table according to local interest.


Select patient

Program help ›› Daily routine ›› Patient ››

Select a patient (i.e. case)

You can either choose a patient by their case id or by the patient's name.

The status "filtered" may appear between the case id data field and the patient list while you are searching for your patient in the patient list (the drop-down box displaying the patient's last name, first name, city, etc.).

To deactivate the filter press the button "Remove filter" at the right side of the screen in the box dedicated to the "extended search".

  • The button "Remove filter" is extremely important:

If the message "filtered" appears below the top data field displaying the case number, you must press "remove filter" to deactivate the respective filter and enable the display of all patients in the patient list and all cases (case numbers) in the list of case numbers. Otherwise you only be able to see the set of patients and case numbers allowed by the filtering criterion.

Consequently, the data field for the case number will appear blocked, and will not work as it should.


Case history

Program help ›› Daily routine ››
ESSCA anamnesis sheet 1 (history, occupations)

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


Search occupation

Program help ›› Daily routine ›› Case history ››

Search occupation

In this dialogue it is possible to search for occupational titles available in the central database. In the screenshot below, various entries such as agricultural technician, dental technician, etc. are listed in the upper window after pressing the "Filter" button (alternatively via keyboard with "Alt-F"). A + sign at the beginning of an occupational title indicates a so-called upper occupational group, which represents a fuzzy data selection. For epidemiological evaluations, however, a precise (i.e. sharp and exact) occupation is necessary. Please select a precise value such as agricultural engineer and accept it by pressing the "OK" button at the bottom left of the occupation search dialogue.

In the lower dialogue window, optional occupations are displayed that could possibly be relevant in connection with the search term technician. If necessary, please select an exact value here and accept it by pressing the "OK" button at the bottom left of the occupation search dialogue.


Test series

Program help ›› Daily routine ››
  • Patient test series
  • Choose local test series


Patient test series

Program help ›› Daily routine ›› Test series ››

Patient test series

  • In contrast to local test series, patient-specific test series are only related to the individual case. They are therefore created in connection with the administration of the case.
  • local test series are not related to a specific case and therefore the editor for managing clinic test series is activated across cases via the menu item "Utilities", " Test series management ".
  • Patient-specific test blocks (case-specific test blocks of patient-specific substances and products).
  • Substances or products should be entered here as precisely as possible, without restrictions regarding, for example, existing lists of (brand) names. The concentration and the vehicle should also be indicated.
  • While the first text field can be used to call up an already existing test block (to change it), the second text field "Block name" is used to enter the name of a new block.
  • The name is not subject to any restrictions, but should be as meaningful as possible, i.e. not "own substances", because that goes without saying, but e.g. "grinding oils from the workplace" or "paper from home", or whatever. If many substances are needed and tested, it may make sense to divide them into two or three blocks of similar substances.
  • Note the special importance of the function keys F3 and F9 for searching (test) substances. For more details look here: Keyboard Shortcuts

But again, there is no real restriction. The maximum number of 99 patient blocks is sufficient.... One reason not to create too many patient blocks for a given case is that it is necessary to enter readings in each of them.

  • Function/button "Select substance": for inserting substances from the central substance database into a patient-specific test block.
  • Categories for classifying test blocks (e.g. for later analyses): "Contact substance" or "Test method".
  • Compiling a test block should actually be easy with the help of the corresponding buttons and function keys.
  • Function/button "Copy block":eases the effort when creating new blocks if only the test type changes. In addition, the typing work is reduced if, for example, a substance is to be tested in different concentrations.
  • Function/button "Export block": gives you the option to export the current block as a text file.


Choose clinical test series

Program help ›› Daily routine ›› Test series ››

Select local test series and create a test plan

General information regarding test series

  • Test series are combinations of allergens that are treated as a single test unit.
  • Either it is a list of substances used in a clinic (updated from time to time by adding new allergens, removing unnecessary ones, or changing the concentration or vehicle of allergens), or it is a list of substances (generally products that are diluted or otherwise prepared for use).
  • or it is a list of substances (generally products that are appropriately diluted or otherwise prepared) that are proprietary to the patient or obtained from manufacturers.

Test series, create a test plan

  • Create all necessary patient and clinic test series
  • Editor for managing patient-specific test series (i.e. patient-specific substances and products)
  • Test series management (editor for clinic-specific test blocks)
  • First of all, you can select clinic blocks here. It is also possible to set up an individual test plan for a specific patient, or better, a specific case. (You can add or remove test blocks and change the test date for any test block.
  • Before readings can be documented, all test blocks related to a specific patient/case must be ready for reaction entry, similar to the definition of the patient's own substances.
  • For this purpose you can
  • either transfer the desired test block from the upper window to the individual test plan in the lower window by marking the corresponding test block and then clicking on "Add selected test block",
  • or - if you know the test block number - write a list of block numbers (separated by commas) in the field "Block numbers" and then click on "Add block numbers to test plan".
  • or combine both methods to complete the test plan for a specific case.
  • Write the exact test date (i.e. the date when the test patch for the selected test block was applied) in the "Test date" field . Later you can also change each test date in the "Test date" column.

Remove test series from aus dem test plan

  • If an incorrect test block has been selected for the test plan by mistake, select it and click on "Remove block from test plan". However, you cannot change the names of the test blocks or their test methods, as these are fixed properties.

Test block: Double testing of allergens or test substances

  • After the selection of the test series (i.e. creation of a test plan), the multiple testing of test substances is indicated. An overview dialogue of the allergens concerned opens. This list can also be printed out if required


Other test and comments

Program help ›› Daily routine ››

Other test and comments

  • Various other test results and comments regarding the current case can be entered here in plain text form.
  • A statistical evaluation is only feasible to a limited extent under free text aspects.
  • The text block appears in the test protocol and is mainly used to record unusual and non-standardized test methods, as well as possibly extensive findings in the area of type 1 testing (provocation test, food allergy, etc.).
  • As of version R8 from May 2017, it is possible to optionally output the plain text block in the findings report. To do this, the checkbox Add plain text block to the end of the findings report (print) must be activated under options, program settings.


Reading and reactions

Program help ›› Daily routine ››

Reading and reactions

  • Test results are entered after:
  • Test series with materials brought in by the patient have been compiled and entered into the computer, see Patient test series (materials brought by patient), and
  • the centre specific test series have been chosen for the given patient, see Choose test series (centre specific test series).
  • In principle, both patch test results and prick, scratch and other immediate type hypersensitivity results can be recorded after the respective test series have been compiled (see Choose test series (centre specific test series), and after reading times and grading of reactions has been adapted in the table tblReactionCat (see Keyboard, hints and configuration ).

The following description deals with patch test, the focus of ESSCA

Entering readings:

  • Readings may be entered into the computer either
    • "online", i.e., with the back of the patient at the side of the screen, so to speak,
      or
    • "offline", with the intermediate step of noting results on a paper draft (individualised forms for this draft can be printed for this purpose) and entering them into the computer at some later time.
  • In the case of "online" recording the reading time is obviously fixed, and the different test series have to be chosen and "read" for the particular reading time one after the other (the order doesn't matter, but take care not to forget one).
  • In the case of "offline" recording it makes sense to chose one test series and then successively enter results for all of the applicable reading times, e.g., D2, D3, D4, before choosing the next series and proceeding in a similar fashion.

Negative results:

  • Negative results do not need to be entered explicitly - every result is implicitly regarded negative if not coded otherwise.
  • However, to store the information of a completely negative reading for one reading time of a series, you merely have to choose the reading time for the series and then press the "O.K." button.
  • If you do not select a reading time, it will appear as if no reading was made for this series and the negative readings will not be stored!!!

Reading times:

  • D1, D2, D3, D4, D5, D6 and D7 are integrated as fixed reading times.
  • Additionally, one late reading may be recorded choosing the reading time "late" and specifying the day of the late reading in a special separate data field.

Allergens "not tested":

  • Those test substances not tested individually because, e.g., of known sensitisation , temporary non-availability, have to be marked with "N.T."(not tested) during the first reading, because otherwise they would be counted as "negative". Negative reactions do not have to be entered, but are considered automatically.


Standard reading time

Program help ›› Daily routine ›› Reading and reactions ››

Standard reading times for epicutaneous testing

The default settings for the button "D1, D2, D3" (1) are made under Extras, Options, Keyboard and Medical history. Please note: this special setting or button is only displayed for type 4, epicutaneous readings!


Reading comments

Program help ›› Daily routine ›› Reading and reactions ››

Reading comments

Special notes on the readings or reactions per reading time can be documented here


Relevance and Assessment

Program help ›› Daily routine ››

Clinical relevance

  • After completion of the patch test procedure, the final diagnoses and other important information are documented. This includes a statement on the clinical relevance of every positive (allergic) reaction.

  • Statements on the clinical relevance contain important information and are an essential aspect of a qualified diagnostic work-up.
  • In addition to the required common temporal classifications, i.e. current and past, additional dimensions regarding occupational relevancy and the degree of certainty of the statement can be optionally recorded and are highly recommended.
  • The required "must" section offers statements for:
    • "current relevance",
    • "past relevance",
    • "unknown relevance",
    • "cross reaction",
    • and "active sensitisation"

  • The optional categorization of "occupational" vs. "non-occupational" is strongly encouraged.
  • It is also possible to select the degree of certainty of the relevance statement from the third level of the selection tree.
    This optional tree level includes the categories:
    • "certain"(100% certain),
    • "probable"(more than 50% certain),
    • "possible"(less than 50% certain),
    • and "unlikely, not"
  • This explorer style selection tree allows you to record the clinical relevance without having to type.


Final Diagnosis

Program help ›› Daily routine ››

ESSCA anamnesis sheet 2 (final diagnosis)

The screen encompasses the following items:

  • Duration of current symptoms (months)
  • Site affected - primary (initial) site (see separate catalogue list)
  • clinical pattern - (e.g. "photosensitive", "exposed sites")
  • "Airborne pattern", or typical combinations of sites, such as "palms/soles", etc.
  • Secondary spread ("yes/no") - definition: not an extension of primary site per continuitatem, but a "jump" to other sites, e.g. from hand to trunk.
  • Final diagnosis 1, selected from list
    • Site 1 - final diagnosis 1, selected from list
    • Site 2 - final diagnosis 1, selected from list
    • Site 3 - final diagnosis 1, selected from list
  • Final diagnosis 2, selected from list
    • Site 1 - final diagnosis 2 ,selected from list
    • Site 2 - final diagnosis 2, selected from list
    • Site 3 - final diagnosis 2, selected from list
  • Occupational factor(s) - ("yes", "no", "partly", "unknown")
  • Endogenous factor(s) - ("yes", "no", "partly", "unknown")
  • Other exogenous factor(s) - ("yes [not specified]", "yes, leisure activity", "no", "unknown")
  • Leisure activity/activities - (list of items, possibility of multiple choices)
  • "Contact categories", selected from list

At present, the program does not impose its logic on you... This means, that if you select "Irritant Contact Dermatitis -- exclusively" as final diagnosis 1, it is up to you not to enter "Allergic Contact Dermatitis -- predominantly", as final diagnosis 2.)


Printout

Program help ›› Daily routine ››

Printout: test protocol example - preview

  • Data entered can be retrieved and printed to obtain clean, well-structured documents to be kept with the patient's medical records. The page header can be customised in the pull down menu "Extras, Options, Printing header", see Printing header.
  • You can also export essential test protocols to an export file ( Export to text file ). You can make adjustments to the export function under the menu topic "Extras, Options, Other options", see Extras/options.

Test protocol:

  • After all readings (results) have been entered, a test protocol can be printed.
  • The test protocol is a printout of all the tested series and their respective readings. The series are printed in order of their test series number, with materials brought in by the patient printed last. This protocol can be kept with the patient's medical records.
  • The test protocol will also be printed in the background as an XML file. The XML file contains the current test protocol and resides in the subdirectory "XML". In combination with an XSL-file it produces an HTML version of the test protocol.

Final diagnosis:

  • The final diagnosis printout is an abridged version of the Test protocol . Only the names of the test series tested and the substances with positive reactions are included in this printout. In the case of patch test results relevance data will be printed too.

Relevance form:

  • The relevance form is a printout of all positive results of tested substances entered for the case can be printed in a structured way.
  • This form can be used for offline documentation of relevance information that will be entered into the computer at some later stage.


Administration tools

Program help ››
Administration tools:
  • Test series management
  • Test series deactivation
  • Database backup
    • Database
    • Database plus application
  • Delete current case
  • List of testsubstances regarding test series
  • Testsubstance search
  • List of test series currently active
  • List of substances tested several times
  • Testmethod-relevance settings
  • Additional questions
  • User permissions


Test series administration

Program help ›› Administration tools ››

Test series administration

This menu item enables the addition of new and the modification of existing clinic test series (synonym: clinic blocks). The work required for this is carried out with the help of the drop-down menu "Utilities", Test series administration".

  • Clinic blocks: are all test series that are not only tested on a single, specific patient. The test type (epicutaneous, rubbing, prick test) can be determined here, test substances can be added or deleted. The concentration, the vehicle and the manufacturer can be changed.
  • Function/button "Copy block": eases the effort when creating new blocks if only the test type changes. In addition, the paperwork is reduced if, for example, a substance is to be tested in different concentrations.
  • Function/button "Export block": gives you the option of exporting the current block to a text file for further processing.

The screen shot shows the administration of an epicutaneous test series. The entry and

administration of type 1 test series is possible as well as that of type 4.

  • Be careful not to change an existing test block, i.e. create a new version of it, as long as it is still being used, i.e. tested on any patients, and the relevant results are not yet stored in the database.
  • If a test block is changed, which may be necessary from time to time to add new substances, remove substances, change the concentration, the vehicle or the manufacturer of an allergen, the old version will only be available for "old" cases but not for reading current or future cases.
  • Therefore, enter all data obtained with a particular test block before changing it.
  • Test blocks can be used for tests as long as they are valid. After a test block has been modified or deleted, no new tests can be performed with this block. Tests that have been started can be terminated (e.g. you have tested a block after 24h and then changed it. You can then enter the values for the later reading, e.g. 48h, but it is not possible to create a new patient with the old block).
  • The test results are all kept historically correct, so that changing a block does not affect old results; they are always printed correctly in the test protocol or analysed correctly in the reports on the test results.
  • Great care should be taken when searching the database for substance names. Synonyms and spelling variants must be taken into account, as multiple entries for the same substance should be avoided.
  • Data that can be entered for a test substance:
  • Substance - i.e. name of allergen, concentration (%), test vehicle ( AQU, VAS, etc.), manufacturer of test substance (NN=No information).

Search the substance list carefully for substances already stored in the database before adding a new substance name!

  • Searching the database for substance names must be done with special care. Synonyms and spelling variants must be considered to avoid multiple entries of a certain substance. Enter some letters of the (test) substance in the test substance selection list (dropdown) and select the appropriate substance.
  • Note the special importance of the function keys F9 for searching (test) substances. s. Keyboard
  • If you do not find the appropriate allergen, please select the 1st element ((new substance)) in the test substance selection list (dropdown) or press the F3 function key to open the dialogue for creating a substance. In the case of cosmetics, it is also possible to enter the INCI name.
  • Alternatively, you can activate a test substance search with the button Search test substance (bottom right in the dialogue) or F9. This dialogue also allows the creation of a new test substance in case the search and filtering for a substance name was unsuccessful.

Administrative functions: List of test substances and test series:

  • Under the menu item Utilities, Test substance list Test series, Test substance list with filter, Test series overview are available. You can print out the list of (filtered) test substances or test series and make it available to the staff as a working aid. The test substance list provides information on the concentration, the vehicle, the block number and the position of a substance within the test series in which it occurs.


Test series deactivation

Program help ›› Administration tools ››

Test series deactivation

Clinic test series can only be deactivated but not deleted due to historical printouts. Deactivated test series are therefore no longer available for test series planning or selection in the test series list.


Database backup

Program help ›› Administration tools ››

Database backup

Creates a compressed and optional encrypted backup archvie of the active database


Pseudonymized support database

Program help ›› Administration tools ›› Database backup ››

Pseudonymized support database

  • For administrators and IT support, a special pseudonymised data backup (i.e. database copy) are offered in case the local database has to be transmitted to the ESSCA-DC for maintenance and diagnostic purposes (i.e. error .correction). In this case, the personal data are completely replaced by dummy data


Delete current case

Program help ›› Administration tools ››

Deleting a case should be done carefully

  • There is no undo function available, so that the case data and all test data are actually lost.
  • If the patient has only one case, the patient master data (name, birthday, sex, address, etc.) will also be deleted automatically.
  • To preserve the patient master data:
  • Before deleting a case, create a new (dummy) case with the function or the button new case .
  • Then select the case number to be deleted again. Only the case and test data will now be removed.


List of testsubstances regarding test series

Program help ›› Administration tools ››

List of testsubstances regarding test series

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


Testsubstance list with filter

Program help ›› Administration tools ››

Testsubstance list with filter

  • A list of all test substances currently used in the test series, indicating block no. and position, is displayed. If necessary, the list of test substances and allergens can be narrowed down by a filter (e.g. by a substring such as 'methy' in the screenshot).
  • The sort order can be changed by double-clicking on the column headings. This function is useful when planning new test series and creating new test substances (see test series management ) to avoid test substance duplicates.
  • If required, this test substance list can be printed out or exported as an HTML file by double-clicking with the mouse. Keep in mind that if you have many test blocks, the list with all test substances may generate many printed pages! Therefore, if necessary, only print the required pages (setting in the Windows print dialogue PAGE FROM - TO).


List of test series currently active

Program help ›› Administration tools ››

List of test series currently active

List of current clinic test series for test planning. Optionally, historical test series lists are also possible by deactivating the checkbox "Only current test series". By double-clicking on the list with the mouse, it is also possible to export it as an HTML file for further processing in word processing applications such as Word, OpenOffice or LibreOffice.


List of substances tested several times

Program help ›› Administration tools ››

List of substances tested several times

If duplicate or multiple tests of test substances are detected in the test plan - i.e. when selecting the test series to be used - these are output as a list in the following dialogue. In the options under "Other options", this information dialogue can be activated automatically via a checkbox after compiling a test plan.


Testmethod-relevance settings

Program help ›› Administration tools ››

Testmethod-relevance settings

Please use this function only after consultation with the ESSCA IT Support (Only for experienced users and administrators!)

Only experienced users - e.g. the local database administrator in conjunction with the senior physician of the allergy department - should use this function. Positive substances of these now activated test types (= empty row/entry) are from now on displayed in the evaluation (=relevance) dialogue, so that a relevance evaluation is possible. Please keep in mind that this only makes sense with epicutaneous or near-epicutaneous test types. Avoid false relationships between relevance and test types, e.g. to type-1 test types such as intracutaneous or prick. Otherwise, you will store nonsensical data in the database, which may lead to erroneous data in statistical evaluations and therefore possibly to erroneous publications.


Additional questions administration

Program help ›› Administration tools ››

Additional questions administration

With the help of self-defined additional questions, you can describe the clinical picture of a patient even more precisely.

  • Under the menu item administration tools => additional questions you can define additional questions which can then be used in the anamnesis with the characteristics you have defined.
  • You can only use those additional questions for a patient or case which you have created before the patient regarding the examination date. Example: If you have defined a supplementary question on 23.02.2000, you cannot use it with a patient case whom you have already created with the examination date 22.02.2000


User permissions

Program help ›› Administration tools ››

User permissions

  • Under the menu item administration tools => user permission you can change your personal password in case you have forgotten your old one or you think that someone has found out your password.
  • As a system administrator or head of department, you also have the possibility here to create new users with the corresponding password, to change existing users and to delete them.


Documents

Program help ››


Document archive

Program help ›› Documents ››

Fast access to the built-in document archive

  • ESSCA Case History Sheet Page 1 and 2
  • ESSCA case history and notes regarding how to deal with the relevance documentation
  • Various information regarding epicutaneous testing

The documents are located in the subdirectory Anamnese of the WinAlldat Net programme directory. Documents and internet links (PDF, DOC, ODT, etc.) added by the user are dynamically integrated in the menu item Documents the next time the programme is started.


Extras

Program help ››


Options

Program help ›› Extras ››

Program settings

Design and table colour

Printout and -layout

Keyboard-assignments

Data transfer

HIS specific options


Program settings

Program help ›› Extras ›› Options ››

Program settings

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


Design and table colour

Program help ›› Extras ›› Options ››

Design and table colour

  • The button Alternative table colour opens a window to select the background colour for the Winalldat Net tables.
  • The colour scheme (beta) allows a light (default) or dark dialogue background
  • Zoom factor allows to enlarge the controls incl. font size for large screens (FHD, UHD etc.)
  • Maximise main programme on start-up: This option immediately maximises the main programme window on start-up.


Printout and -layout

Program help ›› Extras ›› Options ››

Printout and -layout

  • Design and manage your own clinic-specific multi-line headers and footers for the printouts in the test protocol and findings report.
  • Activate the bold print and the alignment of the headers and footers if necessary.
  • Optionally integrate a logo of your institution (corporate identity).


Keyboard-assignments

Program help ›› Extras ›› Options ››

Keyboard-assignments

  • Change the keyboard settings and -behaviour
  • Type 4 Standard reading times allows you to define 3-4 reading times in order to preset them with a "-" reaction (i.e. negative) in the readings/reactions dialogue in the daily routine per button. Afterwards, only the non-negative (e.g. positive) reactions have to be entered. Benefit: Ease of work due to faster data entry.


Data transfer

Program help ›› Extras ›› Options ››

Data transfer

  • In this dialogue, you set all relevant parameters for controlling the data export to ESSCA data centre The default setting is manual data export (i.e. Other export type, see screenshot). Please do NOT activate any other data export option without consulting your local IT department, as the network infrastructure is usually protected by firewalls and special settings such as a proxy are necessary.
  • The data transfer is divided into different steps:
    • At first the data export including a quick quality control of some fields has to be accomplished
    • In the second step the 3 data export files has to be transmitted to the ESSCA-DC either as conventional email attachments or automatically by using the FTP file transfer protocol.


HIS specific options

Program help ›› Extras ›› Options ››

Settings for data exchange between hospital information systems and the WinAlldat Net programme

  • Import and export settings may only be used by trained administrators or IT support staff after consultation with ESSCA Support.


Create testprotocol forms

Program help ›› Extras ››

Create testprotocol forms

  • Design and manage your own test protocol forms and optionally include reading times. Any test series of the same test type can be combined; the screenshot shows 2 DKG test series with the test method epicutaneous.

Testprotocoll forms dialogue


Data export

Program help ›› Extras ››

Data export

  • The data transfer is divided into different steps:
    • At first the data export including a quick quality control of some fields has to be accomplished (see screenshot below)
    • In the second step the 3 data export files has to be transmitted to the ESSCA-DC either as conventional email attachments or automatically by using the FTP file transfer protocol.


Quality control

Program help ›› Extras ››

Quality control

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


Additional questions

Program help ›› Extras ››

Additional questions (optional feature for every case)

  • This dialogue allows you to supplement the standard anamnesis with additional questions on the history of the current case.
  • However, the additional questions are only displayed (= visible) after you have formulated and created corresponding questions in the additional question administration .


Prints back view

Program help ›› Extras ››

Prints back view

A back view for printing is displayed to outline the location of the applied test rows on the printout.


Help

Copyright © 2016-2022 by IVDK Göttingen. All Rights Reserved.


F1 help file

Help ››

F1 help file

The function key F1 calls up the corresponding Windows help file (i.e. winalldatnet.chm file) for the WinAlldatNet.exe programme context-sensitively. A PDF version of the Windows help file is also available in the menu under "Documents" under the file name WinAlldat Net Help.pdf


Contact and support

Help ››

Contact and Support

ESSCA-DC - ESSCA Data Centre

Prof. Dr. med. Wolfgang Uter
University of Erlangen
Dept. of Med. Informatics, Biometry & Epidemiology
Head of ESSCA-DC
Waldstraße 6, D-91054 Erlangen

phone: +49 9131 8522750

eMail: wolfgang.uter [AT] fau.de

Internet: ESSCA Data Centre

IT Support and technical support

Ronald Arnold, Tel.: +49 551 201 97 780
E-Mail: rarnold@gwdg.de

Christian Meyer, Tel.: +49 179 732 46 37

E-Mail: projekte@christian-meyer-software.de

WinAlldat Net ESSCA Internet Ressourcen:

Software and Updates: | https://essca.winalldatnet.eu
WinAlldat Net Online help: | https://essca.winalldatnet.eu/help
WinAlldat Net Documentation: | https://essca.winalldatnet.eu/docs
WinAlldat Net Screencasts: | https://essca.winalldatnet.eu/video

Teamviewer Quicksupport remote maintenance and remote training: https://essca.winalldatnet.eu/TeamViewerQS_en.exe

An installation of Teamviewer Quicksupport is not necessary! Download it on the target computer (e.g. directly on the desktop), start the programme and contact the ESSCA support by phone at +49 179 732 46 37 and get in touch. Please arrange a support appointment in advance, preferably between 3 and 5 pm CET.


Screencast and tutorials

Help ››

Screencast and tutorials

Videos (i.e. screencasts) for the WinAlldat Net software support you in your work by explaining and visually demonstrating important and sometimes complex work steps. Especially the creation of new test series, the occupation search and the data transfer to ESSCA-DC are to be mentioned here. Available video tutorials are listed on the Winalldat Net Video website:

https://essca.winalldatnet.eu/video

and require internet access, headphones/boxes and an MP4 video player such as the freely available Videolan VLC Player. The collection of WinAlldat Net screencasts is continuously updated.


Changelog-history

Help ››

Changelog-history

The change log for updates via internet update contains notes on new functions and extensions as well as the list of bug fixes and changes. The changelog of the WinAlldat Net software is alternatively available under https://essca.winalldatnet.eu/changelog.html


Internet update

Help ››

Internet update

The WinAlldat Net programme and its software components can be updated via Internet update. The 2 update components winalldatnet.zip and version.txt are downloaded from the web address

https://essca.winalldatnet.eu/update

web address. Alternatively, the update can be downloaded and installed manually per client.

A local server directory can be entered under Extras, Options, Data transfer in the Intranet update section. As soon as the two update components mentioned above have been downloaded and saved there, the WinAlldat Net clients access this global intranet update directory and also carry out a programme update when a new version is available. The intranet update procedure is particularly recommended for hospitals with very strict firewall security guidelines.

The change log for updates via internet update contains notes on new functions and extensions as well as the list of bug fixes and changes. The changelog of the WinAlldat Net software is alternatively available under https:// essca.winalldatnet.eu/changelog.html.


Database update

Help ››

Database update

In the context of the local WinAlldat Net Administrator account (i.e. user: chef - password: ivdk), necessary database updates are imported into the central database - under MS-Access: winalldativdk.mdb - to ensure database consistency. Details of the updates are logged in the database table tblLogBooksys.


Error logfiles

Help ››

Error log

Output of the WinAlldat Net error log for sending by e-mail to the IT support.


Telemetry

Help ››

Telemetry dialogue for IT support

Benchmark tests for diagnosing PC performance and database access. The telemetry data obtained can be saved as a CSV file (text file) for further analysis and serve to optimise the configuration of the WinAlldat Net software, especially in network operation.

The following CSV export file can be created by pressing the Ceate Protocol button.

Telemetry log file as short test (by pressing the function key F7 during the run)

Telemetry IVDKPC01-RA 2019-04-29 14:52

Database System: SQL Server

Version: Microsoft SQL Server 2014 (SP3) (KB4022619) - 12.0.6024.0 (Intel X86)

Developer Edition on Windows NT 6.3 <X64> (Build 17763: ) (WOW64)

Local database: yes - Current bandwidth network card: 1 GB

Test;Status;Time

Open and close database;done;3.48

Database access to non-existing table;done;4,44

Database access block 1 with substances and names;ready;7,68

Database access proximity search substance names chlorine;ready;14,47

Create database test table;ready;8

Add test table record;ready;5,03

Update test table records;ready;5,09

Update test table records with condition;ready;4,15

Add test table record blocks;ready;9,34

Test table add record blocks (transaction);ready;10,64

Delete test table records;ready;9

Remove database test table;ready;6


Systeminformation

Help ››

Systeminformation

Display of relevant system information grouped into different register controls (tabs) to assist IT support. The diagnostic and telemetry data can be output either as a text file or screen copy.


License information

Help ››

Licences and third-party licences

Christian Meyer Softwareentwicklung

- controls1.dll

Project license

http://www.christian-meyer-software.de

Richard Hipp

- sqlite3.dll

Public Domain

http://www.sqlite.org

Robert Simpson (bis Version 1.0.66.0)/sqlite.org

- System.Data.SQLite.dll

Public Domain

http://system.data.sqlite.org

John Reilly, Mike Krueger

- ICSharpCode.SharpZipLib.dll

GPL with GNU Classpath exception

http://sharpdevelop.net/OpenSource/SharpZipLib/Default.aspx

Net Core-Version (Fork)

Matthew Little

MIT Licence

https://github.com/PingmanTools/SharpZipLib

Vadim Markovtsev

- SevenZipSharp.dll

GNU Library or Lesser General Public License (LGPLv3)

http://sevenzipsharp.codeplex.com/ (Codeplex is no longer active as of 15.12.2017)

https://github.com/phillipp/SevenZipSharp (Fork from Codeplex.com)

Igor Pavlov

- 7z.dll

LGPL + unRAR restriction

http://7-zip.org

PDFsharp

- PdfSharp.dll

empira Software GmbH

MIT Licence

http://www.pdfsharp.net

https://github.com/empira/PDFsharp/

Net Core-Version (Fork)

Jarred Capellman

https://www.nuget.org/packages/PDFsharpNetStandard2

SSH.NET

- Renci.SshNet.dll

Gert Driesen and others

MIT Licence

https://github.com/sshnet/SSH.NET

FluentFTP

Robin Rodricks, FluentFTP Contributors

MIT Licence

https://github.com/robinrodricks/FluentFTP#readme


Miscellaneous

Miscellaneous

  • FAQs
  • Keyboard Shortcuts


FAQs

Miscellaneous ››

Program Updates

Please read the following information before installing the program. The program updates will not affect previously entered cases or readings. Please execute the program updates immediately upon receipt.

Export of Partially Anonymous Data

The partially anonymous data is often confused with the back-up diskette required to repair the database in an emergency. The data export merely extracts general data regarding patient anamnesis, tests, readings, reactions and relevance to be sent to the ESSCA-DC for analysis.Patients' personal data are not included due to privacy protection reasons.

Database Backup

The backup saves of the data (including personal patient information) in the database on a floppy disk (or other suitable media, i.e. ZIP-disk)and serves as a local "Backup Copy", that can be used to repair the database in the case of an emergency (damage to your computer). The data is password protected, to prevent its misuse.

To ensure data protection, a back-up should only be sent to the technical support in extreme emergencies (e.g. a defective hard-drive) or special situations, (e.g. to facilitate a new installation).

Department Test Series and Tests of Patient's Own Substances

Each department has their own test series (Series Numbers 401 to 899), which may serve to supplement an existing DKG-test series or to test a specific type of allergen. These test series are entered and updated on-seite by the your own department. Tests of materials supplied by the patients themselves (Series Numbers 900 to 999), i.e. cosmetics, occupational materials or gloves, must be entered for each individual patient and are only good for this patient. Statistical analysis of these unique tests series are – in contrast to the department test series - very difficult, and therefore nearly impossible to implement.

Defining New Substances

Department test series can be entered in the "Utilities?" menu (menu option: "Test Series Administration")of the main WinAlldat/ESSCA program. New substances can be entered while editing a test series by entering the substance name into the appropriate test series row, whereupon program will search for a matching substance. If no match is found in the existing substance catalog, a new substance can be entered. In order to enter a new substance, scroll to the very top of the selection window or typing the first two characters of the phrase "((New substance))", in other words the two open parentheses. Clicking on this text opens the window for entering a new substance, which will be permantly stored in the central substance database.


Keyboard shortcuts

Miscellaneous ››

Keyboard shortcuts

Tip: By double-clicking with the mouse, internal lists can be exported as HTML files (quick export function) for further processing in Word, Excel etc.

The keyboard layout corresponds as far as possible to the Windows standard.

Shortcut | Function
Strg-C, Strg-V | Copies data to the clipboard (Ctrl-C) and pastes it again if necessary (Ctrl-V).
F4 | Expands a combo box (= selection list or drop-down list), if available. Within a combo box, after entering characters, the system tries to complete the line automatically (speed typing), e.g. in the selection list of test substances or vehicle specifications.
F3 and F9 | Test series editor: F3=New substance F9=Test substance search
F3 und F9 | Test series editor: PoS *: F3=Test substance search PoS* F9=Test substance search
F9 | Relevance dialogue, open modal treeview selection dialogue in dropdown field
F8 | Easter Egg
F11 | Full screen of main dialogue
F12 | Creates screenshot of current WinAlldat Net dialogue in case of errors etc.
Del Taste | Deletes characters on the right in RTF text fields (plain text fields)
Ctrl/Strg-Z | Undo oder rückgängig machen der letzten Tastatureingabe
Tab | The cursor jumps forward from field to field.
Shift-Tab | The cursor jumps backwards from field to field.
Ctrl-Return | Inserts a new line in a multiline text field. (e.g. in the field "Medical history: notes and comments").
OK | Saves or stores the data of a dialogue in the database.
Cancel | Cancels a dialogue without saving
Hints | Column headings in tables work like buttons so that you can change the sort order
Refresh | The "Refresh" button at the top left of the main dialogue is needed to update (i.e. synchronise) the data in network operation and the dynamic document list.
*PeS = Patient's own test material